* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    font-family: "Outfit", sans-serif;
    background-image: url(../images/depositphotos_320198324-stock-photo-night-sky-stars-background.jpg);
    min-height: 100vh;
    background-attachment: fixed;
    color: white;
    transition: background-image 0.8s ease;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/* start navbar */
.navbar {
    background: rgba(23,32,51,.6);
    backdrop-filter: blur(15px);
    border-bottom: 1px solid rgba(255,255,255,.1);
    padding: 15px 0;
    position: sticky;
    top: 0;
    z-index: 999;
}
.navbar-brand {
    color: white;
    font-size: 28px;
    font-weight: 700;
    transition: all 0.4s;
}
.navbar-brand:hover {
    color: #8B5CF6;
}
.navbar-brand i {
    color: #8B5CF6;
    margin-right: 8px;
}
.search-input {
    width: 280px;
    background-color: #253449;
    border: none;
    border-radius: 30px;
    color: white;
    padding: 10px 20px;
}
.search-input::placeholder {
    color: #AAB4C3;
}
.search-input:focus {
    background-color: #253449;
    color: white;
    box-shadow: none;
}
.search {
    position: relative;
    width: 280px;
}
.search-result {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background: rgba(23,32,51,.8);
    backdrop-filter: blur(15px);
    border:1px solid rgba(255,255,255,.15);
    border-radius: 10px;
    margin-top: 5px;
    max-height: 250px;
    overflow-y: auto;
    z-index: 1000;
}
.city-item {
    padding: 10px 15px;
    cursor: pointer;
    color: white;
}
.city-item:hover {
    background: #253449;
}
/* end navbar */

/* start curweather */
.current-weather {
    background: rgba(23,32,51,.55);
    backdrop-filter: blur(12px);
    border: 1px solid rgba(255,255,255,.15);
    border-radius: 20px;
    padding: 35px;
    box-shadow: 0 10px 25px rgba(0,0,0,.2);
}
.weather-date {
    color: #AAB4C3;
    border-bottom: 1px solid #2E4057;
    padding-bottom: 15px;
    font-style: italic;
    font-weight: bold;
}
.day-buttons{
    display: flex;
    justify-content: center;
    gap: 15px;
    margin-bottom: 30px;
}
.day-btn{
    background: rgba(23,32,51,.55);
    backdrop-filter: blur(12px);
    border: 1px solid rgba(255,255,255,.15);
    color: white;
    padding: 10px 25px;
    border-radius: 30px;
    font-weight: 600;
    transition: .3s;
}
.day-btn:hover{
    background: #8B5CF6;
    transform: translateY(-3px);
    box-shadow: 0 8px 20px rgba(139,92,246,.4);
}
.day-btn.active{
    background: linear-gradient(135deg,#8B5CF6,#67CEFD);
    color: white;
    border: none;
}
#cityName {
    font-size: 3rem;
    font-weight: 700;
    color: #E9D5FF;
    letter-spacing: 1px;
    margin-bottom: 15px;
}
#weatherIcon {
    width: 100px;
    height: 100px;
    object-fit: contain;
}
#temperature {
    font-size: 5rem;
    line-height: 1;
    font-weight: 700;
    color: #67cefd;
    margin-bottom: 15px;
}
#condition {
    color: #C084FC;
    font-size: 1.4rem;
    font-weight: 600;
    letter-spacing: .5px;
    margin-bottom: 5px;
}
.condition-line {
    width: 60px;
    height: 3px;
    background: linear-gradient(to right, #7155b3, #49c2fb);
    margin: 12px auto;
    border-radius: 10px;
}
#country {
    color: #A5B4FC;
    font-size: 1rem;
}
/* end curweather */

/* start details */
.details-title {
    color: #E9D5FF;
    font-weight: 700;
    letter-spacing: 1px;
}
.info-card {
    background: rgba(23,32,51,.55);
    backdrop-filter: blur(12px);
    border: 1px solid rgba(255,255,255,.15);
    border-radius: 18px;
    padding: 25px;
    text-align: center;
    height: 100%;
    transition: 0.3s;
}
.info-card:hover{
    transform: translateY(-5px);
    box-shadow:0 10px 25px rgba(0,0,0,.35);
}
.info-card i {
    font-size: 30px;
    color: #67CEFD;
    margin-bottom: 15px;
}
.info-card h6 {
    color: #AAB4C3;
}
.info-card span {
    font-size: 28px;
    color: #E9D5FF;
    font-weight: 700;
}
/* end details */